diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index b157272..c974de0 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -66757,21 +66757,23 @@ MappingPackage1(A:SetCategory): MPcat == MPdef where
         nullary: A           -> (()->A)
           ++\spad{nullary A} changes its argument into a
           ++ nullary function.
+
         coerce:  A           -> (()->A)
           ++\spad{coerce A} changes its argument into a
           ++ nullary function.
  
         fixedPoint: (A->A) -> A
           ++\spad{fixedPoint f} is the fixed point of function \spad{f}.
-          ++ i.e. such that \spad{fixedPoint f = f(fixedPoint f)}.
+          ++ that is, such that \spad{fixedPoint f = f(fixedPoint f)}.
+
         fixedPoint: (List A->List A, Integer) -> List A
           ++\spad{fixedPoint(f,n)} is the fixed point of function
           ++ \spad{f} which is assumed to transform a list of length
           ++ \spad{n}.
  
- 
         id:    A -> A
           ++\spad{id x} is \spad{x}.
+
         "**":  (A->A, NNI)  -> (A->A)
           ++\spad{f**n} is the  function which is the n-fold application
           ++ of \spad{f}.
diff --git a/buglist b/buglist
index a60bb35..1e0ae1d 100644
--- a/buglist
+++ b/buglist
@@ -938,15 +938,6 @@ typos 40352:
 
 
 =========================================================================
-typos 40351:
-
->compiling MAPPKG1.spad to MAPPKG1.nrlib
-
---->bookvol10.4.pamphlet-->MappingPackage1((fixedPoint (A (Mapping A A)))): Missing left brace
-"\\spad{fixedPoint \\spad{f}} is the fixed point of function \\spad{f}. \\indented{1}{\\spadignore{i.e.} such that \\spad{fixedPoint \\spad{f} = f(fixedPoint f)}.}"
-
-
-=========================================================================
 typos 40350:
 
 >compiling MONAD.spad to MONAD.nrlib
@@ -40515,4 +40506,13 @@ typos 40355:
 --->bookvol10.2.pamphlet-->Aggregate((empty (%))): Missing left brace
 "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}."
 
+fixed 20130317.02.tpd.patch
+=========================================================================
+typos 40351:
+
+>compiling MAPPKG1.spad to MAPPKG1.nrlib
+
+--->bookvol10.4.pamphlet-->MappingPackage1((fixedPoint (A (Mapping A A)))): Missing left brace
+"\\spad{fixedPoint \\spad{f}} is the fixed point of function \\spad{f}. \\indented{1}{\\spadignore{i.e.} such that \\spad{fixedPoint \\spad{f} = f(fixedPoint f)}.}"
+
 
diff --git a/changelog b/changelog
index 46ce1a5..3698cfe 100644
--- a/changelog
+++ b/changelog
@@ -1,9 +1,12 @@
+20130317 tpd src/axiom-website/patches.html 20130317.02.tpd.patch
+20130317 tpd buglist MAPPKG1 fix 40351
+20130317 tpd books/bookvol10.4 MAPPKG1 fix 40351
 20130317 tpd src/axiom-website/patches.html 20130317.01.tpd.patch
 20130317 tpd buglist AGG fixed 40355
-20130317 tpd books/bookvol10.4 AGG fixed 40355
+20130317 tpd books/bookvol10.2 AGG fixed 40355
 20130316 tpd src/axiom-website/patches.html 20130316.08.tpd.patch
 20130316 tpd buglist PTRANFN fixed 40357
-20130316 tpd books/bookvol10.4 PTRANFN fixed 40357
+20130316 tpd books/bookvol10.2 PTRANFN fixed 40357
 20130316 tpd src/axiom-website/patches.html 20130316.07.tpd.patch
 20130316 tpd buglist MSYSCMD fix 40359
 20130316 tpd books/bookvol10.4 MSYSCMD fix 40359
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ff88d57..dad1b1c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4087,5 +4087,7 @@ books/bookvol10.4 MSYSCMD fix 40359
 books/bookvol10.4 PTRANFN fixed 40357
 <a href="patches/20130317.01.tpd.patch">20130317.01.tpd.patch</a>
 books/bookvol10.2 AGG fixed 40355
+<a href="patches/20130317.02.tpd.patch">20130317.02.tpd.patch</a>
+books/bookvol10.4 MAPPKG1 fix 40351
  </body>
 </html>
